XmlException (xmlbeans API)

org.apache.xmlbeans

## Class XmlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xmlbeans.XmlException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    XPath.XPathCompileException, XPathGenerationException

      public class XmlException
      extends Exception

  A checked exception that can be thrown while processing, parsing, or compiling XML. May contain any number of `XmlError` objects.
  See Also:
    `XmlError`, `XmlRuntimeException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlException(String m)` Constructs an XmlException from a message.
    `XmlException(String m, Throwable t)` Constructs an XmlException from a message and a cause.
    `XmlException(String m, Throwable t, Collection<XmlError> errors)` Constructs an XmlException from a message, a cause, and a collection of `XmlErrors`.
    `XmlException(String m, Throwable t, XmlError error)` Constructs an XmlException from a message, a cause, and an `XmlError`.
    `XmlException(Throwable t)` Constructs an XmlException from a cause.
    `XmlException(XmlError error)` Constructs an XmlException from an `XmlError`.
    `XmlException(XmlRuntimeException xmlRuntimeException)` Constructs an XmlException from an `XmlRuntimeException`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmlError` | `getError()` Returns the first `XmlErrors` that caused the exception, if any.
    `Collection<XmlError>` | `getErrors()` Returns the collection of `XmlErrors` that caused the exception, if any.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlException

          public XmlException(String m)

      Constructs an XmlException from a message.

    - #### XmlException

          public XmlException(String m,
                              Throwable t)

      Constructs an XmlException from a message and a cause.

    - #### XmlException

          public XmlException(Throwable t)

      Constructs an XmlException from a cause.

    - #### XmlException

          public XmlException(XmlError error)

      Constructs an XmlException from an `XmlError`.

    - #### XmlException

          public XmlException(String m,
                              Throwable t,
                              XmlError error)

      Constructs an XmlException from a message, a cause, and an `XmlError`.

    - #### XmlException

          public XmlException(String m,
                              Throwable t,
                              Collection<XmlError> errors)

      Constructs an XmlException from a message, a cause, and a collection of `XmlErrors`.

    - #### XmlException

          public XmlException(XmlRuntimeException xmlRuntimeException)

      Constructs an XmlException from an `XmlRuntimeException`.

  - ### Method Detail

    - #### getError

          public XmlError getError()

      Returns the first `XmlErrors` that caused the exception, if any.

    - #### getErrors

          public Collection<XmlError> getErrors()

      Returns the collection of `XmlErrors` that caused the exception, if any.